/*CUSTOM PROPERTIES*/
:root{
    --fuenteHeading: 'PT Sans', sans-serif;
    --fuenteParrafos: 'Open Sans', sans-serif;
    --colorPrimario: #784D3C;
    --claro: #e1e1e1;
    --Blanco: #ffffff;
    --negro: #000000;
}
/*GLOBALES*/
html {
    font-size: 62.5%;/*1 REM= 10PX*/
    box-sizing: border-box;
  }
  *, *:before, *:after {
    box-sizing: inherit;
  }
body{
    font-family: var(--fuenteParrafos);
    font-size: 1.6rem;
    line-height: 2;
}
a{
    text-decoration: none;
}
h1, h2, h3, h4{
    font-family: var(--fuenteHeading);
    line-height: 1.2;
}
h1{
    font-size: 4.8rem;
}
h2{
    font-size: 4rem;
}
h3{
    font-size: 3.2rem;
}
h4{
    font-size: 2.8rem;
}
img{
    max-width: 100%;
}
.no-margin{
    margin: 0;
}
.no-padding{
    padding: 0;
}
.centrar-texto{
    text-align: center;
}
/*CONTENEDOR*/

.contenedor{
    max-width: 120rem;
    width: 90%;
    margin: 0 auto;
}

/*HEADER*/

.header{
    background-image: url(../img/banner.jpg);
    height: 60rem;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
}
.header__texto{
    text-align: center;
    color: var(--Blanco);
    margin: 5rem;
}
@media (min-width:768px){
    .header__texto{
        margin-top: 15rem;
    }
  
}

/*BARRA Y NAVEGACION*/

@media (min-width:768px){
    .barra{
        padding-top: 4rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}
.logo{
    color: var(--Blanco);

}
.logo__nombre{
    font-weight: 400;
}
.logo__bold{
    font-weight: 700;

}
@media (min-width:768px){
    .navegacion{
      display: flex;
      gap: 2rem;
    }
}
.navegacion__enlace{
    display: block;
    text-align: center;
    font-size: 1.8rem;
    color: var(--Blanco);
}

/*BLOG*/

@media (min-width:768px){
    .contenido--principal{
        display: grid;
        grid-template-columns: 2fr 1fr;
        column-gap: 4rem;
    }
}
.entrada{
    border-bottom: 1px solid var(--claro);
    margin-bottom: 2rem;
}
.entrada:last-of-type{
    border: none;
    margin-bottom: 0;
}
.boton{
    display: block;
    font-family: var(--fuenteHeading);
    color: var(--Blanco);
    text-align: center;
    padding: 1rem 3rem;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    border: none;
}
@media (min-width:768px){
    .boton{
        display: inline-block;
    }
  
}
.boton:hover{
    cursor: pointer;
}
.boton--primario{
    background-color: var(--negro);
}
.boton--secundario{
    background-color: var(--colorPrimario);
}
.cursos{
    list-style: none;
}
.widget-curso{
    border-bottom: 1px solid var(--claro);
    margin-bottom: 2rem;
}
.widget-curso:last-of-type{
    border: none;
    margin-bottom: 0;
}
.widget__curso__label{
    font-family: var(--fuenteHeading);
    font-weight: 700;

}
.widget__curso__info{
    font-weight: 400;
}
.widget__curso__label,
.widget__curso__info{
    font-size: 2rem;
}

.footer{
    background-color: var(--negro);
    padding-bottom: 3rem;
    margin-bottom: 0;
}

/*NOSOTROS*/

@media (min-width:768px){
    .sobre-nosotros{
        display: grid;
        grid-template-columns: repeat(2,1fr);
        column-gap: 2rem; }
}
/*CURSO*/

.curso{
    padding: 3rem;
    margin: 0;
    border-bottom: 1px solid var(--claro);
}
@media (min-width:768px){
    .curso{
        display: grid;
        grid-template-columns: 1fr 2fr;
        column-gap: 2rem;
    }
}
.curso:last-of-type{
    border: none;
}
.curso_label{
    font-family: var(--fuenteHeading);
    font-weight: bold;
}
.curso__info{
    font-weight: normal;
}
.curso__info,
.curso__label{
    font-size: 2rem;
}

.contacto__bg{
    background-image: url(../img/contacto.jpg);
    height: 40rem;
    background-size: cover;
    background-repeat: no-repeat;
}

/*FORMULARIO*/
.formulario{
    background-color: var(--Blanco);
    margin: -5rem auto 0 auto;
    width: 95%;
    padding: 5rem;

}
.campo{
    display: flex;
    margin-bottom: 2rem;

}
.campo__label{
    flex:  0 0 9rem;
    text-align: right;
    padding-right:2rem ;

}
.campo__field{
    flex: 1;
    border: 1px solid var(--claro);
}
.campo__field--textarea{
    height: 20rem;

}